quassel-core fails to install due to missing /etc/init.d/quasslcore script

Bug #853841 reported by Craig Magina on 2011-09-19
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
quassel (Ubuntu)
Undecided
Unassigned

Bug Description

Here is the apt install output:

sudo apt-get install quassel-core
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  quassel-core
0 upgraded, 1 newly installed, 0 to remove and 1 not upgraded.
Need to get 0 B/308 kB of archives.
After this operation, 1,303 kB of additional disk space will be used.
(Reading database ... 221009 files and directories currently installed.)
Unpacking quassel-core (from .../quassel-core_0.7.3-0ubuntu2_amd64.deb) ...
Stopping quasselcore to update user home dir ...
invoke-rc.d: unknown initscript, /etc/init.d/quasselcore not found.
dpkg: error processing /var/cache/apt/archives/quassel-core_0.7.3-0ubuntu2_amd64.deb (--unpack):
 subprocess new pre-installation script returned error exit status 100
Errors were encountered while processing:
 /var/cache/apt/archives/quassel-core_0.7.3-0ubuntu2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

This occurred with a fully updated Kubuntu install as of 09-19-2011.

When installing quassel-core it requires the removal of quassel, which I do not remember having to do in natty.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: quassel-core (not installed)
ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4
Uname: Linux 3.0.0-11-generic x86_64
ApportVersion: 1.23-0ubuntu1
Architecture: amd64
Date: Mon Sep 19 08:56:47 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110918)
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: quassel
UpgradeStatus: No upgrade log present (probably fresh install)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in quassel (Ubuntu):
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package quassel - 0.7.3-0ubuntu3

---------------
quassel (0.7.3-0ubuntu3) oneiric; urgency=low

  * Fix bug in quassel-core preinst script that caused upgrade commands to
    be run on new installations. (LP: #853841)
 -- Felix Geyer <email address hidden> Mon, 19 Sep 2011 19:18:08 +0200

Changed in quassel (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers